TAAS - Feature #88

Attachment
11/02/2022 10:44 AM - Anil KV

Status: New Changes Testing Done Start date: 11/02/2022
Priority: Normal Due date:

Assignee: Athira KK % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Attachment

Description

Coding Attachment

History

#1 - 11/23/2022 06:20 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

1) Discuss File upload mechanism

#2 - 12/07/2022 11:54 AM - Anil KV
- Assignee changed from Junaid M to Akash B

#3 - 12/20/2022 10:55 AM - Akash B
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 01/11/2023 09:41 AM - Akash B
- Status changed from Coding Started to Particialy Coding Done

#5 - 01/16/2023 04:08 PM - Akash B
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#6 - 01/17/2023 10:28 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.UPLOAD FUNCTION NOT WORKING
2.FIX BUGS ON DROP DOWN LABEL
(BOTTOM EDGE)
#7 - 01/21/2023 10:18 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 01/31/2023 11:49 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIXBUGS ON ALERTS
( ALERTS MUST SHOW AND HIDE PROPERLY)

2.REMOVE UPLOAD BUTTON FROM RIGHT SIDE BUTTON BAR

#9 - 01/31/2023 05:09 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Alert Message issue fixed.

#10 - 03/29/2023 05:49 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Not allow to save/add attachment before choose account
(Upload button enable - after account selection)

#11 - 04/07/2023 04:24 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 10/07/2023 05:21 PM - Junaid M

- Assignee changed from Akash B to Abhiram Venu

#13 - 10/10/2023 05:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.MISSING UPLOADED FILE WHILE SELECTING AND CANCEL
#14 - 10/18/2023 08:43 PM - Abhiram Venu

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

File Upload Issue Solved.
Ready To Check.

#15 - 10/21/2023 11:56 AM - unnikannan S
TESTING DONE

#16 - 01/24/2024 10:08 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- Assignee changed from Abhiram Venu to Amal Siby
- % Done changed from 60 to 50

ISSUE FOUNDED

Fixed 1.ENABLE UPLOAD BUTTON IN Ul :- No usage button, Button is placed For Supporting The New Button

#17 - 01/30/2024 11:57 AM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#18 - 02/12/2024 02:39 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Ul CHANGES

1.INCREASE MIN HEIGHT OF ATTACHMENT POP UP
2.SHOW DEFAULT CUSTOM TYPE AS 'OTHER' AND FILE TYPE AS 'ANY'

#19 - 02/14/2024 01:31 PM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#20 - 02/14/2024 02:34 PM - Junaid M
- Assignee changed from Vivekp V to Amal Siby

#21 - 02/23/2024 10:09 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#22 - 02/27/2024 11:25 AM - unnikannan S

- Status changed from Reopen Bugs to New Changes

#23 - 03/11/2024 04:15 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

Ul CHANGES DONE

1.INCREASE MIN HEIGHT OF ATTACHMENT POP UP
2.SHOW DEFAULT CUSTOM TYPE AS 'OTHER' AND FILE TYPE AS 'ANY'

#24 - 09/09/2024 04:31 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#25 - 09/09/2024 04:37 PM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 10/14/2024 07:00 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#27 - 10/23/2024 02:29 PM - unnikannan S
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUNDED

05/03/2025

3/7



1.Error While Adding A Invalid File Name Without Adding Any File In Ul

#28 - 10/24/2024 10:21 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED
1.Error While Adding A Invalid File Name Without Adding Any File In Ul
#29 - 10/29/2024 04:10 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#30 - 11/11/2024 12:42 PM - Arathy PS
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES DONE

1. Add a view icon for image/PDF files in the attachment file

File type is image --- use <img> tag

File type is PDF ---- use <iframe> tag

For other types such as Excel, CSV and text file types ---> solution discuss with junaid.

2. drop down
change - Profile -> Pax Profile
add -> Employee
3. change grid columns
1. file Name | Details | Upload Date | Upload User | download /edit/delete Button

details -> based on expiry date and remarks. data show expiry date : 18/11/2024 , remarks : remarks1 etc..

attachment upload pop up

show and hide all mandatory and optional ticked items from attachment category by choosing of system type
make dynamic column spaces

NEW CHANGES

1. Add validation for Other
2. Add New item in Dropdown "Pax Name" after Pax Profile.
3. In Upload pop-up --> Change File to Dropsown Add "Url" (r*)

#31 - 11/11/2024 02:24 PM - Arathy PS
- Assignee changed from Vivekp V to Junaid M

#32 - 11/11/2024 06:08 PM - Junaid M

- Assignee changed from Junaid M to Sreeranjini T

#33 - 11/22/2024 06:10 PM - Junaid M

- Assignee changed from Sreeranijini T to Vivekp V

#34 - 12/09/2024 09:24 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#35 - 01/27/2025 06:04 PM - Arathy PS
- Assignee changed from Vivekp V to Athira KK
#36 - 01/27/2025 06:08 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1. In the grid after file name add three columns--Date, Number, Expiry date (From attachment category)
show these columns only if data is present otherwise hide.

#37 - 01/29/2025 03:12 PM - Athira KK
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#38 - 02/05/2025 11:39 AM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#39 - 02/05/2025 03:07 PM - Theja Ponon
- File clipboard-202502051506-tklsr.png added

Issue found

JAttachemnet given to supporting document and doc no are not showing (done)

)On choosing IATA from category a field for entering code is present(done)

)No validation on ok press after choosing any category after company category(done)

W N =

T"?V!"S% Attachment

.

2 Upse T a B m

# Type File Name Details Upload Date&Time Upload User

er Nn data
4)On Mandatory ,validation is not showing for Date Attribute(done)
5)New attachment created through attachment category is not loading in attachment (done)

#40 - 02/06/2025 02:58 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#41 - 02/07/2025 10:52 AM - Athira KK
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#42 - 02/11/2025 09:41 AM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#43 - 02/19/2025 05:04 PM - Theja Ponon
- File clipboard-202502191659-84rkr.png added

Issue Found

1)Amount showing in detail without giving amount on attachment
,,Ira,,_\,’,xl_sme‘ Attachment
2 Upload T @ 2 O

# Type File Name Upload Date&Time Upload User

1 Other Cash Import{Account).xisx JAmount: 0.00 19/02/2025 04:59 PM Administrator ® L s W

#44 - 02/19/2025 05:05 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#45 - 02/20/2025 09:51 AM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#46 - 02/22/2025 10:45 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Remove attachment file on account, document delete--- done(common Work)

#47 - 03/03/2025 10:19 AM - Junaid M

- Assignee changed from Athira KK to Greeshma S

#48 - 03/03/2025 11:31 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 04/01/2025 03:48 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

New Change

1)Add message when adding same attachment (remove the previous attachment upload and rename it and upload)

#50 - 04/01/2025 05:59 PM - Theja Ponon

- Assignee changed from Greeshma S to Athira KK

#51 - 04/03/2025 04:37 PM - Athira KK
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#52 - 04/07/2025 02:10 PM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 3.63 KB 11/23/2022 Junaid M
2-tsModel.ts 2.35 KB 11/23/2022 Junaid M
3-CsFile.cs 15.9 KB 11/23/2022 Junaid M
4-CsControllerFile.cs 24 KB 11/23/2022 Junaid M
5-TsFile.ts

6-HtmiFile.html

sql.sql
clipboard-202502051506-tkisr.png
clipboard-202502191659-84rkr.png
